import { Observable } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { ColumnValues } from 'qmuzik-angular-model-core';
import { ModelBase } from 'qmuzik-angular-model-core';
import { BaseService } from '../standard/base.service';
import { DataService } from 'qmuzik-angular-model-core';
import { LoginService } from '../standard/login.service';
import { DataContextService } from '../standard/data-context.service';
import { InstanceActions } from 'qmuzik-angular-model-core';
export declare class ColumnValuesService extends BaseService implements DataService {
    private http;
    private loginService;
    private dataContextService;
    private defaultColumnValues;
    private servicesInjected;
    constructor(http: HttpClient, loginService: LoginService, dataContextService: DataContextService);
    InjectServices(): void;
    GetColumnValuesByColumnName(columnName: string): Observable<ColumnValues[]>;
    CreateNew(): ColumnValues;
    Delete(modelState: ColumnValues): Observable<Object>;
    Save(modelState: ColumnValues, isNew: boolean): Observable<Object>;
    SaveInstance(modelState: ColumnValues, isNew: boolean, instanceId: number, symbolInstanceId: number, symbolInstanceActivityId: number, chosenSymbolInstanceActivityId: number, instanceAction: InstanceActions): Observable<unknown>;
    CreateForInitialisation(): ColumnValues;
    CreateForFilter(): ColumnValues;
    AssignToType(item: any): ColumnValues;
    AssignToTypeForeignKey(item: any, foreignKeyProperty: string): any;
    formatter: (result: ColumnValues) => string;
    inputFormatter: (result: ColumnValues) => string;
    GetFormatter(result: ColumnValues): string;
    GetDefaults(): void;
    GetByPrimaryKey(ColumnName: string, ColumnValue: string, CompanyID: string): Observable<ColumnValues[]>;
    Search(filter: any[], advancedFilter: ModelBase[]): Observable<ModelBase[]>;
    GetColumn_Values(): Observable<ModelBase[]>;
    Get_ColumnValues_RefLanguageCode(filter: any[], advancedFilter: ModelBase[], modelState: ColumnValues): Observable<ModelBase[]>;
    GetForeignKeyObject(foreignKey: string, values: string[], companyID: string): Observable<any>;
    FilterByForeignKey(filterOnProperties: string[], filterFromProperties: string[], modelState: ModelBase): Observable<unknown>;
    AsyncValidation(property: string, modelState: ColumnValues, isNew: boolean): Observable<Object>;
}
