import { BaseService } from './base.service';
import { SystemSettings, JumpPackage, View, NotificationMessage } from 'qmuzik-angular-model-core';
import { HttpClient } from '@angular/common/http';
import { AppGlobal } from 'qmuzik-angular-model-core';
import { Observable, Subject } from 'rxjs';
/**
 * General communication between components to manage the application
 */
export declare class AppManagementService extends BaseService {
    private http;
    private globals;
    systemSettings: SystemSettings;
    leftRegionExpanded: boolean;
    sliderValue: number;
    openDynamicViewRequest: Subject<{
        view: View;
        jumpPackage: JumpPackage;
    }>;
    globalErrors: NotificationMessage[];
    globalWarnings: NotificationMessage[];
    globalInformations: NotificationMessage[];
    openMenuSubscription: Subject<unknown>;
    sliderValueChangedSubject: Subject<unknown>;
    menuOpen: boolean;
    extraHeaderValue: string;
    constructor(http: HttpClient, globals: AppGlobal);
    /**
     * Retrieve system settings
     */
    getSystemSettings(): Observable<Object>;
    /**
     * Add a new global error (only if it hasn't been logged)
     * @param notificationMessage
     */
    AddGlobalError(notificationMessage: NotificationMessage): void;
    /**
     * Add a new global information message (only if it has not been logged)
     * @param notificationMessage
     */
    AddGlobalInformation(notificationMessage: NotificationMessage): void;
    /**
     * Send a notification the the menu has been openend
     */
    openMenu(): void;
}
