import { Observable } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { CompanyViews, View, CompanyRules, AppGlobal } from 'qmuzik-angular-model-core';
import { GetMyViewProperties } from 'qmuzik-angular-model-core';
import { CompanyWorkdays } from 'qmuzik-angular-model-core';
import { CachedViewProperties, CachedViewPropertiesSymbol } from 'qmuzik-angular-model-core';
import { BaseService } from './base.service';
import { LoginService } from './login.service';
import { GetMyViewRules } from 'qmuzik-angular-model-core';
import { SystemHooks } from 'qmuzik-angular-model-core';
import { GetMyViewNotifications } from 'qmuzik-angular-model-core';
import { CompanyNotificationMessages } from 'qmuzik-angular-model-core';
import { CompanySystemConfiguration } from 'qmuzik-angular-model-core';
import { Resolve, ActivatedRouteSnapshot, RouterStateSnapshot, Router } from '@angular/router';
export declare class InitialisationService extends BaseService implements Resolve<boolean> {
    loginService: LoginService;
    private http;
    private appGlobal;
    private router;
    companyViews: CompanyViews;
    activatedViews: View[];
    viewProperties: GetMyViewProperties[];
    companyWorkdays: CompanyWorkdays;
    cachedViewProperties: CachedViewProperties;
    cachedViewPropertiesSymbol: CachedViewPropertiesSymbol;
    cachedViewRules: CompanyRules;
    cachedViewNotifications: CompanyNotificationMessages;
    companySystemConfiguration: CompanySystemConfiguration;
    httpClient: HttpClient;
    constructor(loginService: LoginService, http: HttpClient, appGlobal: AppGlobal, router: Router);
    resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Promise<boolean>;
    GetCompanyWorkdays(): void;
    GetCompanyWorkdaysForCompany(companyID: string): Promise<void>;
    GetSystemConfigurationSettings(): void;
    GetSystemConfigurationSettingsForCompany(companyID: string): Promise<void>;
    GetMyViews(): Observable<any>;
    GetMyViewsForCompany(companyID: string): Observable<any>;
    GetPropertyConfiguration(viewName: string): Observable<any>;
    GetPropertyConfigurationForCompany(viewName: string, companyID: string): Observable<any>;
    GetPropertyConfigurationSymbol(viewName: string, symbolInstanceId: number): Observable<any>;
    GetRules(viewName: string): Observable<any>;
    GetRulesForCompany(viewName: string, companyID: string): Observable<any>;
    GetNotificationMessages(viewName: string): Observable<any>;
    GetNotificationMessagesForCompany(viewName: string, companyID: string): Observable<any>;
    GetNotificationMessagesSystem(): Observable<any>;
    GetNotificationMessagesSystemForCompany(companyID: string): Promise<void>;
    Initialise(viewName: string, symbolInstanceId: number): {};
    InitialiseWithViewState(viewName: string, symbolInstanceId: number, viewState: any): any;
    InitialiseCompanyRules(viewRules: GetMyViewRules[], viewName: string): void;
    InitialiseCompanyNotifications(viewNotifications: GetMyViewNotifications[], viewName: string): void;
    GetSystemHooksFromStringArray(systemHooksString: string[]): SystemHooks[];
    Navigate(view: View, target: string): void;
}
