import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { AppGlobal, NotificationMessage, InviteProductData } from 'qmuzik-angular-model-core';
import { BaseService } from './base.service';
import { Subject } from 'rxjs';
import { RegUser } from 'qmuzik-angular-model-core';
import { DataContext } from 'qmuzik-angular-model-core';
import { Router } from '@angular/router';
import { AppManagementService } from './app-management.service';
import { InitialisationService } from './initialisation.service';
export declare class LoginService extends BaseService {
    private http;
    private appGlobal;
    private router;
    private appManagementService;
    isLoggedIn: boolean;
    loggedInUser: RegUser;
    notifyLoginChange: Subject<unknown>;
    dataContext: DataContext[];
    dataContextNotConnected: DataContext[];
    dataContextDifferentProduct: DataContext[];
    defaultCompanyID: string;
    selectedDataContext: DataContext;
    dataContextSubscription: Subject<DataContext>;
    dataContextIsActiveCount: Subject<number>;
    dataContextIsSelectedCount: Subject<number>;
    initialisationService: InitialisationService;
    loginRouteTarget: string;
    constructor(http: HttpClient, appGlobal: AppGlobal, router: Router, appManagementService: AppManagementService);
    /**
     * Return the data contexts where the logged in user has access
     * User will have access if it exists in company views
     *
     * @param internalName
     */
    GetValidDataContexts(internalName: string): DataContext[];
    validateRegistrationInviteToken(Token: string, Email: string): Observable<boolean>;
    inviteUsers(inviteProductData: InviteProductData): Observable<any>;
    SubscribeToNewDataContext(emailAddress: string, inviteToken: string): Observable<DataContext>;
    registerUser(username: string, email: string, password: string, retypePassword: string, inviteToken?: string): Observable<any>;
    loginExternalProvider(username: string, provider: string, authToken: string): Observable<any>;
    verifyUser(userId: string, code: string): Observable<any>;
    resetPassword(userId: string, code: string, newPassword: string, retypePassword: string): Observable<any>;
    forgotPassword(username: string): Observable<any>;
    getAuthenticateBearerToken(username: string, password: string): Observable<any>;
    getBearerToken(dataContext: DataContext): Observable<any>;
    getTokenWithRefreshToken(dataContext: DataContext): Observable<any>;
    logout(): void;
    setDataContextWithCompanyId(companyId: string): void;
    updateDataContext(dataContext: DataContext): Observable<Object>;
    DisableDatacontext(dataContext: DataContext, notificationMessage: NotificationMessage): void;
}
